## Patch Monitor Group `client.loadBalancers.monitorGroups.edit(stringmonitorGroupId, MonitorGroupEditParamsparams, RequestOptionsoptions?): MonitorGroup` **patch** `/accounts/{account_id}/load_balancers/monitor_groups/{monitor_group_id}` Apply changes to an existing monitor group, overwriting the supplied properties. ### Parameters - `monitorGroupId: string` - `params: MonitorGroupEditParams` - `account_id: string` Path param: Identifier. - `id: string` Body param: The ID of the Monitor Group to use for checking the health of origins within this pool. - `description: string` Body param: A short description of the monitor group - `members: Array` Body param: List of monitors in this group - `enabled: boolean` Whether this monitor is enabled in the group - `monitor_id: string` The ID of the Monitor to use for checking the health of origins within this pool. - `monitoring_only: boolean` Whether this monitor is used for monitoring only (does not affect pool health) - `must_be_healthy: boolean` Whether this monitor must be healthy for the pool to be considered healthy - `created_at?: string` The timestamp of when the monitor was added to the group - `updated_at?: string` The timestamp of when the monitor group member was last updated ### Returns - `MonitorGroup` - `id: string` The ID of the Monitor Group to use for checking the health of origins within this pool. - `description: string` A short description of the monitor group - `members: Array` List of monitors in this group - `enabled: boolean` Whether this monitor is enabled in the group - `monitor_id: string` The ID of the Monitor to use for checking the health of origins within this pool. - `monitoring_only: boolean` Whether this monitor is used for monitoring only (does not affect pool health) - `must_be_healthy: boolean` Whether this monitor must be healthy for the pool to be considered healthy - `created_at?: string` The timestamp of when the monitor was added to the group - `updated_at?: string` The timestamp of when the monitor group member was last updated - `created_at?: string` The timestamp of when the monitor group was created - `updated_at?: string` The timestamp of when the monitor group was last updated ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const monitorGroup = await client.loadBalancers.monitorGroups.edit( '17b5962d775c646f3f9725cbc7a53df4', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', id: 'id', description: 'Primary datacenter monitors', members: [ { enabled: true, monitor_id: 'monitor_id', monitoring_only: false, must_be_healthy: true, }, ], }, ); console.log(monitorGroup.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "id", "description": "Primary datacenter monitors", "members": [ { "enabled": true, "monitor_id": "monitor_id", "monitoring_only": false, "must_be_healthy": true, "created_at": "2014-01-01T05:20:00.12345Z", "updated_at": "2014-01-01T05:20:00.12345Z" } ], "created_at": "2014-01-01T05:20:00.12345Z", "updated_at": "2014-01-01T05:20:00.12345Z" }, "success": true } ```